twitter4j

## Interface TweetEntity

All Known Subinterfaces:
  HashtagEntity, MediaEntity, SymbolEntity, URLEntity, UserMentionEntity

All Known Implementing Classes:
  MediaEntityJSONImpl

    public interface TweetEntity

super interface of UserMentionEntity, URLEntity and HashtagEntity

Since:
  Twitter4J 3.0.4
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getEnd()` Returns the index of the end character of the entity in the tweet.
`int` `getStart()` Returns the index of the start character of the entity in the tweet.
`String` `getText()` Returns the text of the entity

### Method Detail

#### getText

    String getText()

Returns the text of the entity

Returns:
  the text of the entity

#### getStart

    int getStart()

Returns the index of the start character of the entity in the tweet.

Returns:
  the index of the start character of the entity in the tweet

#### getEnd

    int getEnd()

Returns the index of the end character of the entity in the tweet.

Returns:
  the index of the end character of the entity in the tweet